Kerbal Space Program - Bug #27043

EVA Construction causes continuous Nullref when kerbal is holding onto the side of a pod and then
attaches a ladder nearby. Also the Kerbal cant move after this is done

01/14/2021 09:38 AM - Anth12

Status: Resolved Start date: 01/14/2021
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version: 1.11.1

Version: 1.11.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

GOG KSP 1.11.0 (no mods/no dics)

Video Proof:
https://youtu.be/ltkRDSLthkA

First part of the video shows issue.
End of video shows work around which is to use rendevous (under setorbit) to move the kerbal away from the craft

'"Test Save.sfs' for fast confirmation.

Saw this on EJ_SA's twitch channel

History

#1 - 01/14/2021 10:23 AM - Anth12

This also seems to happen when on a standard ladder as well

#3 - 01/14/2021 09:09 PM - Anth12

Clarifying last comment:

1. Kerbal on pod + adding ladder close to kerbal is the bug report
2. Kerbal on Ladder + adding ladder close to kerbal has a similar result but not quite the same

#4 - 01/16/2021 03:35 AM - Anth12

- Subject changed from EVA Construction causes continuous Nullref when kerbal is holding onto the side of a pod and then attaches a ladder nearby
to EVA Construction causes continuous Nullref when kerbal is holding onto the side of a pod and then attaches a ladder nearby. Also the Kerbal cant
move after this is done

#5 - 01/16/2021 03:36 AM - Anth12

Kerbal cant move,

Quick Save wont work

Going to the main menu doesnt work
Going to KSC doesnt work.

#6 - 01/16/2021 03:50 AM - Anth12
Correction.

Quick-Save-wontwerk

Going-to- KSGC-deesnt-work:

#7 - 01/29/2021 01:41 PM - victorr

- Status changed from New to Ready to Test

- Target version set to 1.11.1
https://youtu.be/ItkRDSLthkA

- % Done changed from 0 to 80

We've made some changes in the latest version of the game and would like some feedback on this issue. Thanks.

#8 - 01/29/2021 11:31 PM - Anth12

1. Ladder shows up as Red restricting positioning close radially to the kerbal so | would say that its resolved.

2. #27044 which | reported about removing a ladder a kerbal is currently using is still happening (I am assuming this bug was internalized as | am
getting a 403 error)

#9 - 08/09/2021 02:39 PM - Technicalfool
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

This and related bugs should now be fixed. Please continue to report if they are not.

#10 - 08/09/2021 06:55 PM - Anth12
- File screenshot17.png added

Not fixed still. Was able to still get the ladder too close to the Kerbal

Files
Test Save.sfs 136 KB 01/14/2021 Anth12
screenshot17.png 1.64 MB 08/09/2021 Anth12
